# EDIT IN SVN NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).
%define lib_major 0.12
%define lib_minor 7
%define lib_name %mklibname %{name} %{lib_major}
%define develname %mklibname %name -d

%define build_diet 0

Name:    ldetect
Version: %{lib_major}.%{lib_minor}
Release: 5
Summary: Light hardware detection tool
Source: %{name}-%{version}.tar.xz
Patch0:	rosa-build.patch
Group: System/Kernel and hardware
URL:	  http://www.mandrivalinux.com
BuildRequires: usbutils
BuildRequires: pciutils-devel
BuildRequires: zlib-devel
BuildRequires: kmod-devel
%if %{build_diet}
BuildRequires: dietlibc-devel
%endif
License: GPL

%package -n %{lib_name}
Summary: Light hardware detection library
Requires: ldetect-lst common-licenses
Requires: pciids
Group: System/Libraries

%package -n %develname
Summary: Development package for ldetect
Requires: %{lib_name} = %{version}
Provides: ldetect-devel = %version, libldetect-devel = %version
Group: Development/C

%description
The hardware device lists provided by this package are used as a lookup 
table to get hardware auto-detection.

%description -n %develname
see %name

%description -n %{lib_name}
see %name

%prep
%setup -q
%apply_patches

%build
%if %{build_diet}
%make CFLAGS="-Os -D_BSD_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE" CC="diet gcc" libldetect.a
cp libldetect.a libldetect-diet.a
make clean
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%if %{build_diet}
install -d $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}
install libldetect-diet.a $RPM_BUILD_ROOT%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS
%_bindir/*

%files -n %{lib_name}
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_includedir/*
%_libdir/*.a
%if %{build_diet}
%{_prefix}/lib/dietlibc/lib-%{_arch}/libldetect.a
%endif
%_libdir/*.so


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.12.7-5
+ Revision: 6b05423
- MassBuild#440: Increase release tag


